> ## Documentation Index
> Fetch the complete documentation index at: https://docs.junction.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Team Data Pull Preferences

> Get org team data pull preferences via the Junction API. Requires authentication with your team API key.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.management.junction.com/v1/org/{org_id}/team_data_pull_preferences/{env}/{region} \
    --header 'X-Vital-Org-Key: <api-key>'
  ```
</RequestExample>

<Info>
  The endpoint will return the default Junction settings if no custom preferences are set.
</Info>

<Info>
  [Junction Management API](/api-details/junction-management-api) is available for [the Scale plan](https://tryvital.io/pricing).
</Info>

<Tip>
  The base URL of this endpoint is `https://api.management.junction.com/`.

  The endpoint accepts only [Management Key](/api-details/junction-management-api#authentication) (`X-Management-Key`).
  Team API Key is not accepted.
</Tip>


## OpenAPI

````yaml get /v1/org/{org_id}/team_data_pull_preferences/{env}/{region}
openapi: 3.1.0
info:
  title: Org Management
  version: 0.1.0
servers:
  - url: https://api.management.junction.com
    description: Production Management API server
security:
  - ManagementKey: []
paths:
  /v1/org/{org_id}/team_data_pull_preferences/{env}/{region}:
    get:
      tags:
        - Team Data Pull Preferences
      summary: Get Team Data Pull Preferences
      operationId: >-
        get_team_data_pull_preferences_v1_org__org_id__team_data_pull_preferences__env___region__get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
        - name: env
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/Env'
        - name: region
          in: path
          required: true
          schema:
            type: string
            enum:
              - us
              - eu
            title: Region
        - name: team_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              format: uuid
            title: Team Id
        - name: provider
          in: query
          required: false
          schema:
            type: array
            items:
              enum:
                - oura
                - fitbit
                - garmin
                - strava
                - withings
                - peloton
                - wahoo
                - zwift
                - freestyle_libre
                - abbott_libreview
                - eight_sleep
                - renpho
                - omron
                - dexcom_v3
                - hammerhead
                - polar
                - cronometer
                - kardia
                - whoop_v2
                - my_fitness_pal_v2
                - map_my_fitness
                - runkeeper
                - apple_health_kit
                - google_fit
                - beurer_api
                - ultrahuman
              type: string
            title: Provider
        - name: next_cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Next Cursor
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 5
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamDataPullPreferencesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Env:
      type: string
      enum:
        - production
        - sandbox
      title: Env
    TeamDataPullPreferencesResponse:
      properties:
        data_pull_preferences:
          items:
            $ref: '#/components/schemas/TeamDataPullPreferencesWithLimit'
          type: array
          title: Data Pull Preferences
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - data_pull_preferences
      title: TeamDataPullPreferencesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TeamDataPullPreferencesWithLimit:
      properties:
        team_id:
          type: string
          format: uuid
          title: Team Id
        providers:
          additionalProperties:
            $ref: '#/components/schemas/SingleProviderDataPullPreferencesWithLimit'
          propertyNames:
            $ref: '#/components/schemas/Providers'
          type: object
          title: Providers
      type: object
      required:
        - team_id
        - providers
      title: TeamDataPullPreferencesWithLimit
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SingleProviderDataPullPreferencesWithLimit:
      properties:
        default:
          $ref: '#/components/schemas/DefaultConfigurationWithLimit'
        resource_overrides:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/SingleResourceOverrideWithLimit'
              propertyNames:
                $ref: '#/components/schemas/Resource'
              type: object
            - type: 'null'
          title: Resource Overrides
      type: object
      required:
        - default
      title: SingleProviderDataPullPreferencesWithLimit
    DefaultConfigurationWithLimit:
      properties:
        historical_days_to_pull:
          type: integer
          title: Historical Days To Pull
        historical_days_to_pull_limit:
          type: integer
          title: Historical Days To Pull Limit
      type: object
      required:
        - historical_days_to_pull
        - historical_days_to_pull_limit
      title: DefaultConfigurationWithLimit
    SingleResourceOverrideWithLimit:
      properties:
        historical_days_to_pull:
          type: integer
          title: Historical Days To Pull
        historical_days_to_pull_limit:
          type: integer
          title: Historical Days To Pull Limit
      type: object
      required:
        - historical_days_to_pull
        - historical_days_to_pull_limit
      title: SingleResourceOverrideWithLimit
  securitySchemes:
    ManagementKey:
      type: apiKey
      in: header
      name: X-Management-Key

````